### UML game.js

```mermaid
classDiagram
 class bullet {
    +x
    +y
    +shot
    +angle
    +bulletHit
    +direction
    +directionX
    +direcitonY
    +hasMoved
    +projectile
    +radius
    +targetx
    +targety
    +speed
    -hit
    -shot
    -isOffScreen
    -originalPos
    -targetx
    -targety
    +draw()
    +update(targetx, targety)
 }
```